Package org.codehaus.groovy

# Interface GroovyExceptionInterface

All Known Implementing Classes:
  `ConfigurationException`, `GroovyException`, `IncorrectTypeHintException`, `InvalidOptionException`, `ParserException`, `ReadException`, `SyntaxException`, `TokenException`, `TokenMismatchException`

public interface GroovyExceptionInterface
An interface for use by all Groovy compiler exceptions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isFatal()`
  `void`
  `setFatal(boolean fatal)`

- ## Method Details

  - ### isFatal

    boolean isFatal()

  - ### setFatal

    void setFatal(boolean fatal)